Bug 968275 - RFE: commandline options support
Summary: RFE: commandline options support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-upgrade
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-29 11:05 UTC by Karel Volný
Modified: 2019-03-29 19:18 UTC (History)
1 user (show)

Fixed In Version: fedora-upgrade-30.4-1.fc28 fedora-upgrade-30.4-1.fc29 fedora-upgrade-30.4-1.fc30
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-29 02:03:55 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Karel Volný 2013-05-29 11:05:35 UTC
Description of problem:
Currently, fedora-upgrade accepts no commandline options, it just starts the upgrade process.
It'd be nice to support at least "--help" message, and an error message if unrecognised arguments are given.

Version-Release number of selected component (if applicable):
fedora-upgrade-19.2-1.fc19.noarch

How reproducible:
always

Steps to Reproduce:
1. fedora-upgrade --help

Actual results:
Going to upgrade your Fedora to rawhide.
Fedora 20 is currently under development.
Are you sure?
Hit Enter to continue or Ctrl + C to cancel.


Expected results:
A tool to upgrade Fedora to next release using yum upgrade.

This is attempt to automatize steps as listed here:
https://fedoraproject.org/wiki/Upgrading_Fedora_using_yum

Options:
  -h, --help  Show this help message and finish.

It seems you're running Fedora 19, this script would upgrade your installation to Fedora Rawhide.


Additional info:

Comment 1 Miroslav Suchý 2013-05-29 11:56:12 UTC
I have this on my list already.
The case for options are e.g --skip-rpmconf, --skip-servicepriorities-reset etc.
I have plan to implement it before Fedora 20.

Comment 2 Fedora End Of Life 2015-01-09 18:15:12 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Karel Volný 2015-01-12 11:54:48 UTC
still on todo?

Comment 4 Fedora End Of Life 2015-11-04 14:12:48 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Miroslav Suchý 2019-03-18 13:29:41 UTC
fedora-upgrade accepts --help now. And two other options.

Comment 6 Fedora Update System 2019-03-18 13:30:21 UTC
fedora-upgrade-30.3-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7bac111fb6

Comment 7 Fedora Update System 2019-03-18 13:30:29 UTC
fedora-upgrade-30.3-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-cec99b8d21

Comment 8 Fedora Update System 2019-03-18 13:30:38 UTC
fedora-upgrade-30.3-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a72b866754

Comment 9 Fedora Update System 2019-03-19 03:44:49 UTC
fedora-upgrade-30.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7bac111fb6

Comment 10 Fedora Update System 2019-03-19 04:44:18 UTC
fedora-upgrade-30.3-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-cec99b8d21

Comment 11 Fedora Update System 2019-03-19 07:44:31 UTC
fedora-upgrade-30.4-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-475e5ab227

Comment 12 Fedora Update System 2019-03-19 07:44:39 UTC
fedora-upgrade-30.4-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5b1ca2be15

Comment 13 Fedora Update System 2019-03-19 07:44:47 UTC
fedora-upgrade-30.4-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8f4256d475

Comment 14 Fedora Update System 2019-03-20 22:01:50 UTC
fedora-upgrade-30.4-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-475e5ab227

Comment 15 Fedora Update System 2019-03-20 22:17:49 UTC
fedora-upgrade-30.4-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5b1ca2be15

Comment 16 Fedora Update System 2019-03-21 19:11:20 UTC
fedora-upgrade-30.4-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8f4256d475

Comment 17 Fedora Update System 2019-03-29 02:03:55 UTC
fedora-upgrade-30.4-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2019-03-29 02:58:41 UTC
fedora-upgrade-30.4-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2019-03-29 19:18:00 UTC
fedora-upgrade-30.4-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.